> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/tools/{tool_id}
openapi: 3.1.0
info:
  title: OneInbox API
  version: 1.0.0
servers:
  - url: https://api.oneinbox.ai
    description: Production server
security: []
tags:
  - name: health
  - name: integrations
  - name: llm-models
  - name: tools
  - name: knowledge-bases
  - name: voices
  - name: webhooks
  - name: agents
  - name: phone-numbers
  - name: calls
  - name: workspace
  - name: usage
  - name: audit-events
paths:
  /v1/tools/{tool_id}:
    get:
      tags:
        - tools
      summary: Get Tool
      operationId: get_tool_v1_tools__tool_id__get
      parameters:
        - name: tool_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tool Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    ToolResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        headers:
          additionalProperties: true
          type: object
          title: Headers
        parameters:
          items: {}
          type: array
          title: Parameters
        parameters_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters Schema
        credential_id:
          type: string
          title: Credential Id
        transfer_to:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfer To
        transfer_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Transfer Config
        run_in_background:
          type: boolean
          title: Run In Background
          default: false
        speak_during_execution:
          type: boolean
          title: Speak During Execution
          default: false
        extraction_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extraction Schema
        messaging_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Messaging Config
        calendar_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Calendar Config
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - type
        - description
        - url
        - method
        - headers
        - parameters
        - transfer_to
        - created_at
        - updated_at
      title: ToolResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: http
      description: >-
        Your **API key** sent as a Bearer credential — `Authorization: Bearer
        <api_key>`, where `<api_key>` starts with `oi_sk_` (create one via `POST
        /v1/api-keys`). Although the field is labelled 'token', paste your API
        key here. A dashboard JWT is also accepted on this header for the same
        endpoints.
      scheme: bearer

````